Package org.pushingpixels.substance.flamingo.common.ui

# Class SubstanceCommandPopupMenuUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.PopupPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI
org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandPopupMenuUI

public class SubstanceCommandPopupMenuUI extends org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI
UI for `JCommandPopupMenu` components in Substance look and feel.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`SubstanceCommandPopupMenuUI.SubstanceMenuPanel`

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI

`org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI.MenuPanel, org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI.PopupMenuLayoutManager, org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI.ScrollableCommandButtonPanel`

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI.PopupPanelEscapeDismisser, org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI.WindowTracker`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI

`commandButtonPanel, FORCE_ICON, menuItemsPanel, POPUP_MENU, popupListener, popupMenu, popupMenuChangeListener`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`popupPanel`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceCommandPopupMenuUI()`

## Method Summary

Modifier and Type
Method
Description
`protected JPanel`
`createMenuPanel()`
`protected org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI.ScrollableCommandButtonPanel`
`createScrollableButtonPanel()`
`static ComponentUI`
`createUI(JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI

`createLayoutManager, installComponents, installListeners, installUI, syncComponents, uninstallComponents, uninstallListeners`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`initiliazeGlobalListeners, installDefaults, uninstallDefaults, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceCommandPopupMenuUI

public SubstanceCommandPopupMenuUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### createMenuPanel

protected JPanel createMenuPanel()

Overrides:
  `createMenuPanel` in class `org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI`

### createScrollableButtonPanel

protected org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI.ScrollableCommandButtonPanel createScrollableButtonPanel()

Overrides:
  `createScrollableButtonPanel` in class `org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI`